Skip to main content
POST
/
v1
/
dm
/
messages
Send a DM
curl --request POST \
  --url https://api.magne.app/v1/dm/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "content": "<string>",
  "attachments": {},
  "replyToId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "senderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "content": "<string>",
  "attachments": {},
  "replyToId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "editedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "senderName": "<string>",
  "senderAvatar": "<string>",
  "senderBadges": [
    "<string>"
  ],
  "reactions": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
conversationId
string<uuid>
required
content
string | null
attachments
object
replyToId
string<uuid> | null

Response

Success

id
string<uuid>
conversationId
string<uuid>
senderId
string<uuid>
content
string
attachments
object
replyToId
string<uuid> | null
editedAt
string<date-time> | null
createdAt
string<date-time>
senderName
string
senderAvatar
string | null
senderBadges
string[]
reactions
object